Comment 43 for bug 87947

Colin Watson (cjwatson) wrote :

charly4711: We can't provide both versions of libX11 because it would almost certainly result in two copies of libX11 (one with XCB and one without) sometimes being loaded into the one process depending on the exact transitive library linkage involved, which would cause chaos and crashes. We can't simply roll back to non-XCB libX11 since, as you say, compiz requires the XCB version.

I'm afraid that, much though we would like it to be otherwise, there is no quick and easy resolution to this bug (actually bug 185311, which is where we're really tracking it). It is a very important bug, and we're tracking it as a release-critical issue, but unfortunately that doesn't automatically translate into an easy fix ...